Bug 363621 - /var/lib/texmf/ls-R unwritable
/var/lib/texmf/ls-R unwritable
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-02 07:44 EDT by Stas Sergeev
Modified: 2013-07-02 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-09 08:51:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2007-11-02 07:44:39 EDT
Description of problem:
Always getting this error message:
/usr/share/texmf/web2c/mktexupd: /var/lib/texmf/ls-R unwritable.

Version-Release number of selected component (if applicable):
tetex-fonts-3.0-41.fc8 and any prior

How reproducible:

Steps to Reproduce:
1. Run latex on some document
Actual results:
The error message above, although the document

Expected results:
Compiles without an errors.

Additional info:
Comment 1 Jindrich Novy 2007-11-20 07:11:07 EST
I'm unable to reproduce it, so I assume it's a local misconfiguration, so that
ls-R files need to be regenerated.  Could you run texhash as root and try
whether it happens again? Do you have any other tex packages installed on your
system except the baseline tetex ones?
Comment 2 Stas Sergeev 2007-11-20 13:35:20 EST
> I'm unable to reproduce it
You need a clean install, that is.
Otherwise you need to erase the font
metrics cache for example, ie:
rm -rf /var/lib/texmf/tfm
Then latex will try to rebuild it, and
will fail to update ls-R.

rpm -qf /var/lib/texmf/tfm
file /var/lib/texmf/tfm is not owned by any package
Comment 3 Jindrich Novy 2007-12-09 08:51:21 EST
teTeX is now obsoleted by TeXLive in rawhide and removed. If you are sure the
problem still applies also for TeXLive, please file a bug against following
rawhide components:

texlive       - if you found bug in binary TeXLive utilities
texlive-texmf - if find anything related to fonts/styles, noarch part
texlive-texmf-errata - if you need to update font/style set.

Note You need to log in before you can comment on or make changes to this bug.